@layer components {
    #mobile-menu {
        width: 100vw;
        height: 100vh;
        max-width: 100vw;
        max-height: 100vh;
        margin: 0;
        padding: var(--spacing-6);
        border: none;
        inset: 0;

        .popover-content {
            display: flex;
            flex-direction: column;
            gap: var(--spacing-12);
            align-items: flex-end;
        }

        .close-btn {
            height: 3rem;
            width: 3rem;
            background: none;
            border: none;
            padding: var(--spacing-3);
            background-color: var(--color-surface);
            border-radius: var(--radius-md);

            svg {
                fill: var(--color-text-secondary);
            }
        }

        .main-links {
            display: flex;
            flex-direction: column;
            gap: 2;

            & > a {
                font-size: var(--font-size-3xl);
                font-weight: bold;
                text-align: right;
            }
        }

        .secondary-links-wrapper {
            display: flex;
            flex-direction: column;
            gap: var(--spacing-4);

            h2 {
                font-size: var(--font-size-base);
                color: var(--color-text-secondary);
                text-align: right;
            }
        }

        .secondary-links {
            display: flex;
            flex-direction: column;
            align-items: flex-end;
            gap: 0;

            a {
                font-size: var(--font-size-3xl);
                font-weight: bold;
                text-align: right;
            }

            &.language {
                gap: var(--spacing-2);
            }

            &.appearance {
                gap: var(--spacing-2);
            }

            .language-option {
                display: flex;
                flex-direction: row-reverse;
                gap: var(--spacing-4);
                align-items: center;
                font-size: var(--font-family-base);
                font-weight: var(--font-weight-semibold);
                img {
                    height: 2rem;
                }
            }

            .appearance-option {
                display: flex;
                flex-direction: row-reverse;
                gap: var(--spacing-4);
                align-items: center;
                font-size: var(--font-family-base);
                font-weight: var(--font-weight-semibold);
                background: none;
                border: none;

                svg {
                    height: 2rem;
                    padding: 0.25rem 0;
                }

                svg,
                rect,
                path {
                    fill: var(--color-text-muted);
                }
            }
        }

        a:hover {
            text-decoration: none;
            color: var(--color-primary-hover);
            cursor: pointer;
        }

        a.active {
            color: var(--color-primary) !important;
        }
    }
}
